Upgrade Jackson to 2.10.0

Description

Jackson 2.10.0.pr3 fixes two CVEs:

  1. CVE-2019-14540

  2. CVE-2019-16335

Beware that now there is a new subclass of ObjectMapper: JsonMapper, which is now preferred when dealing with Json. Also, the API for creating JsonMapper evolved a bit.

Environment

None

Pull Requests

None

Assignee

Erik Merkle

Reporter

Alexandre Dutra

Labels

None

PM Priority

None

Affects versions

None

Fix versions

Doc Impact

None

Size

None

External issue ID

None

External issue ID

None

Priority

Minor
Configure